package cz.moneta.test.regression.commercial.smallbusiness.digital.jenkinstests.existing;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.annotations.JiraTestCase;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import org.junit.jupiter.api.Disabled;

@TestScenario(name = "FlexiBusiness banner must be visible for FOP clients with valid IL.")
@Disabled("Obsolete test - old IB")
public class FlexiBannerOnExist {

    private static final String USER_NAME = "304024748";
    private static final String PASSWORD = "5wfgqhUP";
    private static final String MOBILE_KEY = "12341234";

    @TestCase(name = "Verify FOP client see flexi banner on homepage")
    @JiraTestCase(id = "SBD-T49")
    public void tc_fop_client_see_loan_banner(Harness harness) {
        harness.withIB()
                .openLoginPage()
                .then(harness.tasks().ib().loginWithUsernamePasswordAndMobileKey(USER_NAME, PASSWORD, MOBILE_KEY))
                .onWelcomePage()
                .checkUserHasALoanBanner();
    }

}
